<?php
/**
 * @package   Vimy (free) - accessibletemplate
 * @version   4.0.0
 * @author    Francesco Zaniol, accessibletemplate - http://www.accessibletemplate.com
 * @copyright Copyright (C) 2011-Present Francesco Zaniol
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 **/
defined('ZHONG_FRAMEWORK') or die('Restricted access');

$this->global_vars['language'] = array( // Hindi

/*----------------------------------------------------------------
   PAGE SECTIONS
----------------------------------------------------------------*/

    'quick-access-links' =>
        'त्वरित पहुँच लिंक्स',

    'quick-access-menu' =>
        'शीघ्र पहुँचनेका मेनू',

    'accessibility-options' =>
        'अभिगम्यता के विकल्प',

    'breadcrumbs' =>
        'स्थानिक पथ',

    'support-menu' =>
        'समर्थन मेनू',

    'language-options' =>
        'भाषा विकल्प',

    'search' =>
        'खोज',

    'menu' =>
        'मेनू',

    'main-menu' =>
        'मुख्य मेनू',

    'side-menu' =>
        'बाजूके पक्षका मेनू ',

    'login' =>
        'लॉगिन',

    'additional-resources' =>
        'अतिरिक्त संसाधन',

    'additional-resources-left-column' =>
        'अतिरिक्त संसाधन (बायाँ स्तंभ)',

    'additional-resources-right-column' =>
        'अतिरिक्त संसाधन (दाहिना स्तंभ)',

    'content' =>
        'सामग्री',

    'main-content' =>
        'मुख्य विवरण',

    'complementary-content' =>
        'संपूरक विवरण',

    'supplementary-content-upper' =>
        'संपूरक विवरण (ऊपरी)',

    'supplementary-content-lower' =>
        'संपूरक विवरण (निचली)',

    'footer' =>
        'पाद लेख',

    'footer-menu' =>
        'पाद लेख मेनू',

/*----------------------------------------------------------------
   MOBILE & NIGHT MODE
----------------------------------------------------------------*/

    'mobile-layout-content' =>
        'मोबाइल',

    'mobile-layout-title' =>
        'मोबाइल साइट में जाइये',

    'desktop-layout-content' =>
        'मूलभूत रचना',

    'desktop-layout-title' =>
        'डेस्कटॉप रचना में जाइये',

    'night-mode-content' =>
        'रात्रि स्थिति',

    'night-mode-title' =>
        'रात्रि स्थिति: पासका प्रकाश कम होनेसे अक्षर तेज़ दीखते है| इसमें अंधेरे वातावरण में पठनीयता बढ़ जाती है.',

    'day-mode-content' =>
        'दिन स्थिति',

    'day-mode-title' =>
        'वापस दिनकी स्थितिमें.',

/*----------------------------------------------------------------
   ACCESSIBILITY PANEL
----------------------------------------------------------------*/

    'access-bar-advanced-hidden-title' =>
        'प्रवेशकी पसंदगी दिखाइये',

    'access-bar-advanced-hidden-content' =>
        'प्रवेश यदि',

    'access-bar-advanced-showed-title' =>
        'प्रवेश यदि छुपाइये',

    'access-bar-advanced-showed-content' =>
        'पसंदगी गुप्त',

// --------- Layout mode --------- //

    'access-bar-layout-modes-header' =>
        'नक़्शा:',

    'access-bar-layout-modes-default-content' =>
        'मूलभूत नक़्शा',

    'access-bar-layout-modes-default-title' =>
        'यह मूलभूत संस्करण है',

    'access-bar-layout-modes-highcontrast-content' =>
        'उच्च विपरीत',

    'access-bar-layout-modes-highcontrast-title' =>
        'यह लेआउट कम दृष्टि वाले लोगों के लिए उपयुक्त है',

// --------- Font size --------- //

    'access-bar-font-header' =>
        'फ़ॉन्ट का नाप',

    'access-bar-font-increase-title' =>
        'फ़ॉन्ट का नाप बढ़ाना',

    'access-bar-font-revert-title' =>
        'फ़ॉन्ट नाप अपनी असलिएटमें दोबारा पेश हो',

    'access-bar-font-decrease-title' =>
        'फ़ॉन्ट का नाप घटाएँ',

    'access-bar-font-increase-content' =>
        'बड़े',

    'access-bar-font-revert-content' =>
        'फिर से स्थापित कर देना',

    'access-bar-font-decrease-content' =>
        'छोटे',

// --------- Graphic mode --------- //

    'access-bar-graphicmode-header' =>
        'स्पष्टता',

    'access-bar-graphicmode-default-title' =>
        'यह मूलभूत संस्करण है',

    'access-bar-graphicmode-best-title' =>
        'यह विधा उच्च विपरीत पाठ सेट करके सक्रिय तत्वों पर प्रकाश डालता है. ये नेत्रहीन लोगोके लिए उपयोगकर्ता है एवं जिन्हे बेहतर संज्ञानात्मक उपयोग की आवश्यकता है| इसमें डिस्लेक्सिया जैसे पढ़ने विकलांग के साथ कुछ लोगों के लिए उपयोगी है.',

    'access-bar-graphicmode-default-content' =>
        'मूलभूत स्पष्टता',

    'access-bar-graphicmode-best-content' =>
        'सर्वश्रेष्ठ स्पष्टता',

    'access-bar-graphicmode-low-brightness' =>
        'कम चमक',

// --------- Layout width (note: some are deprecated) --------- //

    'access-bar-layout-header' =>
        'प्रदर्शन चौड़ाई',

    'access-bar-layout-liquid-title' =>
        'प्रदर्शित ब्राउज़रकी चौड़ाई को ध्यानमें रखते हुए',

    'access-bar-layout-fixed-title' =>
        'प्रदर्शित ब्राउज़रकी चौड़ाई कायम है',

    'access-bar-layout-full-title' =>
        'प्रदर्शित ब्राउज़रकी चौड़ाई सम्पूर्ण है',

    'access-bar-layout-liquid-content' =>
        'तरल',

    'access-bar-layout-fixed-content' =>
        'कायम',

    'access-bar-layout-full-content' =>
        'सम्पूर्ण',

/*----------------------------------------------------------------
   OTHER
----------------------------------------------------------------*/

// --------- General --------- //

    'top' =>
        'शीर्ष',

    'homepage' =>
        'मुखपृष्ठ',

    'tool-pane' =>
        'उपकरण फलक',

    'toolbox' =>
        'उपकरण बॉक्स',

    'top-toolbar' =>
        'शीर्ष टूलबार',

    'hide' =>
        'छिपाना',

    'show' =>
        'प्रदर्शन',

    'hide-panel' =>
        'यदि छिपाएँ',

    'show-panel' =>
        'यदि दिखाएँ',

    'ok' =>
        'ठीक',

    'reset' =>
        'फिर से स्थापित कर देना',

    'bold' =>
        'बोल्ड',

    'serif' =>
        'सेरिफ',

    'sans-serif' =>
        'सैन्स-सेरिफ',

    'pause' =>
        'रोकें',

    'alert-message' =>
        'चेतावनी संदेश',

    'hide-this-message' =>
        'यह संदेश छुपाएं',

    'dark' =>
        'गहरी',

    'large-print' =>
        'बड़ी छपाई',

    'inverted' =>
        'उल्टे',//?

    'theme' =>
        'विषयवस्तु',

    'font' =>
        'फ़ॉन्ट',

    'mobile' =>
        'मोबाइल',

    'access' =>
        'पहुँच',

    'accessibility' =>
        'पहुँचक्षमता',

    'style' =>
        'शैली',

    'desktop' =>
        'डेस्कटॉप',

    'user-options' =>
        'उपयोगकर्ता विकल्प',

    'user-access' =>
        'लॉगिन',//login

    'line-height' =>
        'रेख की ऊंचाई',

    'increase' =>
        'बढ़ाएँ',

    'decrease' =>
        'घटाएँ',

    'expand' =>
        'विस्तृत करें',

    'shrink' =>
        'सिकोड़ें',

// --------- Slideshow --------- //

    'accessible-slideshow-main-heading' =>
        'स्लाइड शो',

    'accessible-slideshow-slideshow-button' =>
        'स्लाइड शो बटन',

    'accessible-slideshow-next-slide-button' =>
        'अगली स्लाइडका बटन',

    'accessible-slideshow-previous-slide-button' =>
        'पिछली स्लाइडका बटन',

// --------- Miscellaneous --------- //

    'hide-submenu' =>
        'सबमेनू छुपाएं',

    'expand-submenu' =>
        'सबमेनू विस्तार',

    'new-window-link' =>
        'नई विंडो खुलती है',

    'external-link' =>
        'बाहरी लिंक',

    'resize-handle-title' =>
        'लेआउट का नाप बदलें',

    'bright-on-dark' =>
        'अंधेरे पर उज्ज्वल',

    'dark-on-bright' =>
        'उजाले पर गेहरा',

    'black-on-color' =>
        'रंग पर काला',

    'white-on-color' =>
        'रंग पर सफेद',

// --------- Welcome message + Preferences message --------- //

    'access-bar-message-welcome' =>
        $this->params['site']['site-name'].'में आपका स्वागत है',

    'access-bar-message-clickhere' =>
        'अपनी वरीयताओं को सेट करने के लिए यहां क्लिक करें',

// --------- Jump to --------- //

    'jump-to' =>
        'इस पर जाएँ:',

    'jump-to-main-content' =>
        'मुख्य क्रम पर जाइये',

    'jump-to-top' =>
        'पृष्ठ के शीर्ष पर जाइये',

    'jump-to-internal-nav' =>
        'शीघ्र पहुँच मेनू के लिए वापस जाइये.',

// --------- Socials --------- //

    'share' =>
        'बॉटिए',

    'follow-us' =>
        'हमारा अनुसरण करें',

// --------- Obsolete IE message --------- //

    'iemessage-download-firefox-content' =>
        '<p>सावधान: आप एक <strong> पुराने पड़ चुके ब्राउज़र</ strong>को चला रहे हैं! हम आपको एक नए संस्करण के लिए अपने सॉफ्टवेयर को अपडेट करने या एक वैकल्पिक ब्राउज़र डाउनलोड करने की सलाह देते है: <a href="https://www.mozilla.org/firefox/">यहाँ Firefox के नवीनतम संस्करण डाउनलोड करें</a>.<br/>यदि आप एक कम प्रदर्शन कंप्यूटर पर एक विंडोज ऑपरेटिंग सिस्टम चला रहे हैं तो हम <a href="http://www.midori-browser.org">Midori</a> स्थापित करने की सिफारिश करते है|</p>',

/*----------------------------------------------------------------
   SPECIAL
----------------------------------------------------------------*/

    'accesskey' =>
        'accesskey',

// Sentence ending symbol (in the majority of languages this symbol is a period)
    'sentence-ending-symbol' =>
        '.',

    'colon-symbol' =>
        ':',

    'question-symbol' =>
        '?'

);
