<?php
/**
 * @package   Vimy (free) - accessibletemplate
 * @version   4.0.0
 * @author    Francesco Zaniol, accessibletemplate - http://www.accessibletemplate.com
 * @copyright Copyright (C) 2011-Present Francesco Zaniol
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 **/
defined('ZHONG_FRAMEWORK') or die('Restricted access');

$this->global_vars['language'] = array( // Hungarian

/*----------------------------------------------------------------
   PAGE SECTIONS
----------------------------------------------------------------*/

    'quick-access-links' =>
        'Gyorselérési hivatkozások',

    'quick-access-menu' =>
        'Gyors el&eacute;r&eacute;si men&uuml;',

    'accessibility-options' =>
        'Akad&aacute;lymentes lehet&otilde;s&eacute;gek',

    'breadcrumbs' =>
        '&Uacute;tvonal',

    'support-menu' =>
        'T&aacute;mogat&aacute;s men&uuml;',

    'language-options' =>
        'Nyelvek',

    'search' =>
        'Keres&eacute;s',

    'menu' =>
        'Menü',

    'main-menu' =>
        'F&otilde;men&uuml;',

    'side-menu' =>
        'Oldal men&uuml;',

    'login' =>
        'Bejelentkezés',

    'additional-resources' =>
        'Kieg&eacute;sz&iacute;t&otilde; forr&aacute;sok',

    'additional-resources-left-column' =>
        'Kieg&eacute;sz&iacute;t&otilde; forr&aacute;sok (bal oszlop)',

    'additional-resources-right-column' =>
        'Kieg&eacute;sz&iacute;t&otilde; forr&aacute;sok (jobb oszlop)',

    'content' =>
        'Tartalom',

    'main-content' =>
        'F&otilde; tartalom',

    'complementary-content' =>
        'Kieg&eacute;sz&iacute;t&otilde; tartalom',

    'supplementary-content-upper' =>
        'Kieg&eacute;sz&iacute;t&otilde; tartalom (fels&otilde;)',

    'supplementary-content-lower' =>
        'Kieg&eacute;sz&iacute;t&otilde; tartalom (als&oacute;)',

    'footer' =>
        'L&aacute;bl&eacute;c',

    'footer-menu' =>
        'L&aacute;bl&eacute;c men&uuml;',

/*----------------------------------------------------------------
   MOBILE & NIGHT MODE
----------------------------------------------------------------*/

    'mobile-layout-content' =>
        'Mobil',

    'mobile-layout-title' =>
        'V&aacute;lt&aacute;s mobil n&eacute;zetre',

    'desktop-layout-content' =>
        'Alap&eacute;rtelmezett elrendez&eacute;s',

    'desktop-layout-title' =>
        'V&aacute;lt&aacute;s asztali n&eacute;zetre',

    'night-mode-content' =>
        '&Eacute;jjeli m&oacute;d',

    'night-mode-title' =>
        '&Eacute;jjeli m&oacute;d: alacsony f&eacute;nyer&otilde;. S&ouml;t&eacute;t k&ouml;rnyezetben jav&iacute;tja az olvashat&oacute;s&aacute;got.',

    'day-mode-content' =>
        'Nappali m&oacute;d',

    'day-mode-title' =>
        'Vissza nappali m&oacute;dba.',

/*----------------------------------------------------------------
   ACCESSIBILITY PANEL
----------------------------------------------------------------*/

    'access-bar-advanced-hidden-title' =>
        'Akad&aacute;lymentes lehet&otilde;s&eacute;gek mutat&aacute;sa',

    'access-bar-advanced-hidden-content' =>
        'Akad&aacute;lymentes panel',

    'access-bar-advanced-showed-title' =>
        'Akad&aacute;lymentes lehet&otilde;s&eacute;gek elrejt&eacute;se',

    'access-bar-advanced-showed-content' =>
        'Opci&oacute;k elrejt&eacute;se',

// --------- Layout mode --------- //

    'access-bar-layout-modes-header' =>
        'Elrendez&eacute;s:',

    'access-bar-layout-modes-default-content' =>
        'Alap&eacute;rtelmezett elrendez&eacute;s',

    'access-bar-layout-modes-default-title' =>
        'Ez az alap&eacute;rtelmezett',

    'access-bar-layout-modes-highcontrast-content' =>
        'Er&otilde;s kontraszt',

    'access-bar-layout-modes-highcontrast-title' =>
        'Gyeng&eacute;nl&aacute;t&oacute;k sz&aacute;m&aacute;ra ide&aacute;lis',

// --------- Font size --------- //

    'access-bar-font-header' =>
        'Bet&ucirc;m&eacute;ret',

    'access-bar-font-increase-title' =>
        'Bet&ucirc;m&eacute;ret n&ouml;vel&eacute;se',

    'access-bar-font-revert-title' =>
        'Vissza&aacute;ll&iacute;t&aacute;s alap bet&ucirc;m&eacute;retre',

    'access-bar-font-decrease-title' =>
        'Bet&ucirc;m&eacute;ret cs&ouml;kkent&eacute;se',

    'access-bar-font-increase-content' =>
        'nagyobb',

    'access-bar-font-revert-content' =>
        'alaphelyzet',

    'access-bar-font-decrease-content' =>
        'kisebb',

// --------- Graphic mode --------- //

    'access-bar-graphicmode-header' =>
        'Olvashat&oacute;s&aacute;g',

    'access-bar-graphicmode-default-title' =>
        'Ez az alap&eacute;rtelmezett',

    'access-bar-graphicmode-best-title' =>
        'Ez a m&oacute;d er&otilde;s kontrasztot &aacute;ll&iacute;t be &eacute;s kiemeli az akt&iacute;v elemeket. Cs&ouml;kkent l&aacute;t&oacute;k&eacute;pess&eacute;g&ucirc; emberek sz&aacute;m&aacute;ra ny&uacute;jt jobb kognit&iacute;v t&aacute;mogat&aacute;st. Hasznos az olvas&aacute;si neh&eacute;zs&eacute;gekkel (pl. diszlexia) k&uuml;zd&otilde;k sz&aacute;m&aacute;ra is.',

    'access-bar-graphicmode-default-content' =>
        'Alap&eacute;rtelmezett olvashat&oacute;s&aacute;g',

    'access-bar-graphicmode-best-content' =>
        'Legjobb olvashat&oacute;s&aacute;g',

    'access-bar-graphicmode-low-brightness' =>
        'Kevesebb fényerő',

// --------- Layout width (note: some are deprecated) --------- //

    'access-bar-layout-header' =>
        'Elrendez&eacute;s sz&eacute;less&eacute;ge',

    'access-bar-layout-liquid-title' =>
        'Az elrendez&eacute;s alkalmazkodik a b&ouml;ng&eacute;sz&otilde;ablak sz&eacute;less&eacute;g&eacute;hez',

    'access-bar-layout-fixed-title' =>
        'R&ouml;gz&iacute;tett m&eacute;ret&ucirc; elrendez&eacute;s',

    'access-bar-layout-full-title' =>
        'Teljes sz&eacute;less&eacute;g&ucirc; elrendez&eacute;s',

    'access-bar-layout-liquid-content' =>
        'K&eacute;pl&eacute;keny',

    'access-bar-layout-fixed-content' =>
        'R&ouml;gz&iacute;tett',

    'access-bar-layout-full-content' =>
        'Teljes',

/*----------------------------------------------------------------
   OTHER
----------------------------------------------------------------*/

// --------- General --------- //

    'top' =>
        'Fel',

    'homepage' =>
        'Kezd&otilde;lap',

    'tool-pane' =>
        'Eszközpanel',

    'toolbox' =>
        'Eszk&ouml;zk&eacute;szlet',

    'top-toolbar' =>
        'Fels&otilde; eszk&ouml;zt&aacute;r',

    'hide' =>
        'Elrejt',

    'show' =>
        'Mutat',

    'hide-panel' =>
        'Panel elrejt&eacute;se',

    'show-panel' =>
        'Panel mutat&aacute;sa',

    'ok' =>
        'OK',

    'reset' =>
        'Alaphelyzet',

    'bold' =>
        'Félkövér',

    'serif' =>
        'Serif',

    'sans-serif' =>
        'Sans serif',

    'pause' =>
        'Szünet',

    'alert-message' =>
        '&Eacute;rtes&iacute;tő &uuml;zenet',

    'hide-this-message' =>
        'Ezen &uuml;zenet elrejt&eacute;se',

    'dark' =>
        'Sötét',

    'large-print' =>
        'Nagyított',

    'inverted' =>
        'Átfordított',//?

    'theme' =>
        'Téma',

    'font' =>
        'Betűkészlet',

    'mobile' =>
        'Mobil',

    'access' =>
        'Hozzáfér',

    'accessibility' =>
        'Kisegítő lehetőségek',

    'style' =>
        'Stílus',

    'desktop' =>
        'Asztal',

    'user-options' =>
        'Felhasználói beállítások',

    'user-access' =>
        'Felhasználói hozzáférés',

    'line-height' =>
        'Sormagasság',

    'increase' =>
        'Növelés',

    'decrease' =>
        'Csökkentés',

    'expand' =>
        'Kibontás',

    'shrink' =>
        'Kicsinyítés',

// --------- Slideshow --------- //

    'accessible-slideshow-main-heading' =>
        'Diavet&iacute;t&eacute;s',

    'accessible-slideshow-slideshow-button' =>
        'Diavet&iacute;t&eacute;s gomb',

    'accessible-slideshow-next-slide-button' =>
        'K&ouml;vetkez&otilde; dia gomb',

    'accessible-slideshow-previous-slide-button' =>
        'El&otilde;z&otilde; dia gomb',

// --------- Miscellaneous --------- //

    'hide-submenu' =>
        'Almen&uuml; elrejt&eacute;se',

    'expand-submenu' =>
        'Almen&uuml; kibont&aacute;sa',

    'new-window-link' =>
        '&Uacute;j ablakot nyit meg',

    'external-link' =>
        'K&uuml;ls&otilde; link',

    'resize-handle-title' =>
        'Elrendez&eacute;s &aacute;tm&eacute;retez&eacute;se',

    'bright-on-dark' =>
        'F&eacute;nyes a s&ouml;t&eacute;ten',

    'dark-on-bright' =>
        'S&ouml;t&eacute;t a f&eacute;nyesen',

    'black-on-color' =>
        'Fekete a sz&iacute;nesen',

    'white-on-color' =>
        'Feh&eacute;r a sz&iacute;nesen',

// --------- Welcome message + Preferences message --------- //

    'access-bar-message-welcome' =>
        '&Uuml;dv&ouml;z&ouml;l a(z) '.$this->params['site']['site-name'],

    'access-bar-message-clickhere' =>
        'A be&aacute;ll&iacute;t&aacute;sokhoz kattints ide',

// --------- Jump to --------- //

    'jump-to' =>
        'Ugrás:',

    'jump-to-main-content' =>
        'Ugr&aacute;s a f&otilde; tartalomra',

    'jump-to-top' =>
        'Ugr&aacute;s az oldal tetej&eacute;re',

    'jump-to-internal-nav' =>
        'Ugr&aacute;s vissza a gyors el&eacute;r&eacute;si men&uuml;be.',

// --------- Socials --------- //

    'share' =>
        'Megoszt&aacute;s',

    'follow-us' =>
        'K&ouml;vess minket',

// --------- Obsolete IE message --------- //

    'iemessage-download-firefox-content' =>
        '<p>Figyelmeztet&eacute;s: Az &ouml;n &aacute;ltal haszn&aacute;lt b&ouml;ng&eacute;sz&otilde; <strong>elavult</strong>! Azt tan&aacute;csoljuk, friss&iacute;tse b&ouml;ng&eacute;sz&otilde;j&eacute;t, vagy telep&iacute;tsen m&aacute;sikat: <a href="https://www.mozilla.org/firefox/">a leg&uacute;jabb Firefox let&ouml;lt&eacute;se</a>.<br/>Ha Windows oper&aacute;ci&oacute;s rendszert futtat egy kis teljes&iacute;tm&eacute;ny&ucirc; sz&aacute;m&iacute;t&oacute;g&eacute;pen, javasoljuk a <a href="http://www.midori-browser.org">Midori</a> b&ouml;ng&eacute;sz&otilde; telep&iacute;t&eacute;s&eacute;t.</p>',

/*----------------------------------------------------------------
   SPECIAL
----------------------------------------------------------------*/

    'accesskey' =>
        'accesskey',

// Sentence ending symbol (in the majority of languages this symbol is a period)
    'sentence-ending-symbol' =>
        '.',

    'colon-symbol' =>
        ':',

    'question-symbol' =>
        '?'

);
